{
  imports = [
    ./forgejo.nix
  ];

  procolix.vm = {
    name = "vm02116";
    ip4 = "185.206.232.34";
    ip6 = "2a00:51c0:12:1201::20";
  };

  ## vm02116 is running on old hardware based on a Xen VM environment, so it
  ## needs these extra options. Once the VM gets moved to a newer node, these
  ## two options can safely be removed.
  boot.initrd.availableKernelModules = [ "xen_blkfront" ];
  services.xe-guest-utilities.enable = true;

  fileSystems."/" = {
    device = "/dev/disk/by-uuid/3802a66d-e31a-4650-86f3-b51b11918853";
    fsType = "ext4";
  };

  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/2CE2-1173";
    fsType = "vfat";
  };
}
